[ruby-cvs:71443] naruse:r64351 (trunk): FreeBSD 11.0 lacks ELFCOMPRESS_ZLIB

naruse at ruby-lang.org naruse at ruby-lang.org
Tue Aug 14 04:12:23 JST 2018


naruse	2018-08-14 04:12:23 +0900 (Tue, 14 Aug 2018)

  New Revision: 64351

  https://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=revision&revision=64351

  Log:
    FreeBSD 11.0 lacks ELFCOMPRESS_ZLIB
    
    FreeBSD 11.0 unfortunately lacks ELF compression definitions in their
    elf.h (sys/elf_common.h), and 11.1 introduced them.
    https://github.com/freebsd/freebsd/commit/b9167d33a12b8a6c279be9cd1005874728e808c9
    
    Though we can add workaround, we simply drop support because
    FreeBSD 11.0 is already EOL at November 30, 2017.
    https://www.freebsd.org/security/unsupported.html

  Modified files:
    trunk/addr2line.c


More information about the ruby-cvs mailing list